﻿''
'' ConsoleVB
''
'' Copyright (c) 2019 http://www.curict.com
'' This software is released under the MIT License, see LICENSE.txt.
''

Module Module1

    Sub Main()
        ' == 数値を「3桁カンマ区切りの文字列」に変換 =======================

        '================================================================
        ' string.Format
        '================================================================
        dim intValue1 As Integer = 5800
        dim formatValue As string = string.Format("合計は{0:#,0}円です。", intValue1)

        ' 結果 = "合計は5,800円です。"
        Console.WriteLine(formatValue)

        '================================================================
        ' 文字列補間(string interpolation) 
        ' Visual Basic 14(Visual Studio 2015, .NET Framework 4.6) より可能
        '================================================================
        dim intValue2 As Integer = 6800
        dim formatValue2 As string = $"合計は{intValue2:#,0}円です。"

        ' 結果 = "合計は6,800円です。"
        Console.WriteLine(formatValue2)

        Console.ReadLine()
    End Sub

End Module
